# Loki::CreateUsing< Alloc > Struct Template Reference
[Creation policies]

`#include <Singleton.h>`

## Detailed Description

### template<template< class > class Alloc>
struct Loki::CreateUsing< Alloc >

Implementation of the CreationPolicy used by SingletonHolder Creates objects using a custom allocater. Usage: e.g. CreateUsing<std::allocator>::Allocator

The documentation for this struct was generated from the following file:

- Singleton.h